Bug #5026

1.9.3 allows URI(uri, parser)

Added by Yui NARUSE almost 3 years ago. Updated almost 3 years ago.

[ruby-core:38061]
Status:Closed
Priority:Normal
Assignee:Marc-Andre Lafortune
Category:lib
Target version:1.9.3
ruby -v:ruby 1.9.4dev (2011-07-12 trunk 32529) [x86_64-freebsd8.2] Backport:

Description

r28699 introduces a new API: the second argument of URI(uri [, parser]).
But I object this because such parser argument should be obsolete.

History

#1 Updated by Marc-Andre Lafortune almost 3 years ago

  • Category set to lib
  • Status changed from Assigned to Closed
  • % Done changed from 0 to 100

Agreed.

Fixed in r32559 & r32560.

Thanks.

Also available in: Atom PDF